ps_decoder_s Struct Reference

Decoder object. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

cmd_ln_t * | config
| Configuration.
int | refcount
| Reference count.
acmod_t * | acmod
| Acoustic model.
dict_t * | dict
| Pronunciation dictionary.
dict2pid_t * | d2p
| Dictionary to senone mapping.
logmath_t * | lmath
| Log math computation.
hash_table_t * | searches
| Set of search modules.
ps_search_t * | search
| Currently active search module.
ps_search_t * | phone_loop
| Phone loop search for lookahead.
int | pl_window
| Window size for phoneme lookahead.
uint32 | uttno
| Utterance counter.
ptmr_t | perf
| Performance counter for all of decoding.
uint32 | n_frame
| Total number of frames processed.
const char * | mfclogdir
| Log directory for MFCC files.
const char * | rawlogdir
| Log directory for audio files.
const char * | senlogdir
| Log directory for senone score files.

## Detailed Description

Decoder object.

Definition at line 201 of file pocketsphinx_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h